Subject: [COSE] Stephen Farrell's Comments

From: Jim Schaad <[email-masked]>
Date: Wed, 5 Oct 2016 14:41:51 -0700

One of the issues that Stephen raised was a question of why we did not make
deterministic ECDSA be mandatory rather than just strongly suggesting that
it be done.  My initial response was that I did not believe that this was
implemented in a sufficient number of libraries to go forward, but that I
would do a review of some of the libraries out there and report back.

Looking at the four libraries that I am currently using for COSE
implementations, imagine my surprise to find that all of them now support
doing deterministic ECDSA.  Based on this and the request from Stephen, I
suggest that we make deterministic ECDSA be a MUST. 

Are there any objections to this course of action?

Jim